function initAdMob(){
    if ( window.plugins && window.plugins.AdMob ) {
        var admob_key_banner = "ca-app-pub-5582868110588706/1311654673";
        var admob_key_interstitial = "ca-app-pub-5582868110588706/8271675076";
        window.plugins.AdMob.setOptions( {
            publisherId: admob_key_banner,
            bannerAtTop: false, // set to true, to put banner at top
            overlap: false, // set to true, to allow banner overlap webview
            offsetTopBar: true, // set to true to avoid ios7 status bar overlap                    
            interstitialAdId: admob_key_interstitial,
            autoShow: true, // autoshow intertitial Ad
            isTesting: false // receiving test ad
        });
    } else {
        console.log ("AdMob plugin not ready");
        $('#bottombanner').html('<p>admob error</p>');
        
        //alert("AdMob plugin not ready");
    }
}

function showAdMobBanner(){
    console.log ("showAdMobBanner");
    window.plugins.AdMob.createBannerView();
}

function showAdMobInterstitial(){
    console.log("showAdMobInterstitial");
    window.plugins.AdMob.createInterstitialView();
}


function hideAdMobBanner() {
    console.log ("hide admob")
	window.plugins.AdMob.destroyBannerView();

}

function CalcHeight() {
    console.log("CalcHeight");
    var mh = $("#masthead").height();
    var gb = 130; //gameButtons
    var ui = 50; //userInstructions
    var mu = 40; //top menu
    var adSpace = 100;


    if (userCode === origCode) {
        adSpace = 0;	

    } else {
        bShowBanner = true;
        initAdMob();
    }
    var landHeight = 0;
    historyHeight = window.innerHeight - mh - gb -ui - mu - adSpace;
    instructionsHeight = window.innerHeight - mh - mu - adSpace;

    document.getElementById('history').style.height=historyHeight+'px';
    document.getElementById('instructions').style.height=instructionsHeight+'px';

}